/**********************************************************************
 * Class Constants
 *  
 * Copyright (c) 2008-2012, German National Library / Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

package de.dnb.oai.harvester;

/** ********************************************************************
 * Class for project-wide constant values. 
 *
 * @author Kadir Karaca Kocer, German National Library
 * @version 20090220
 */

/* ********************************************************************
 * CHANGELOG:
 *   
 * Created on 12.08.2008 10:53:09 by kocer
 **********************************************************************/

public class Constants
{

	// CONSTANTS  **********************************************************

    /**
     * The default size of pool.<br />Default value {@value}.
     * @see de.dnb.oai.harvester.manager.OaiHarvesterManagerImpl
     * @see java.util.concurrent.ScheduledThreadPoolExecutor
     */
    public final static int DEFAULT_POOL_SIZE = 10;
    
    /**
     * <p>The default temporary directory. <br />Default value = ""</p>
     */
    public final static String DEFAULT_TMP_DIRECTORY = "./";

    /**
     * <p>The default error directory. <br />Default value = ""</p>
     */
    public final static String DEFAULT_ERROR_DIRECTORY = "./";

    /**
     * <p>The default output directory. <br />Default value = ""</p>
     */
    public final static String DEFAULT_OUTPUT_DIRECTORY = "./";

    /**
     * <p>The default OAIMPH verb string. <br />Default value = "ListRecords"</p>
     */
    public final static String DEFAULT_OAI_VERB = "ListRecords";

    /**
     * <p>The default number of max. repository connection tries. <br />Default value {@value}.</p>
     */
    public final static int DEFAULT_MAX_CONNECTION_TRIES = 3;

    
    

}
