/**********************************************************************
 * Class DummyExport
 *  
 * Copyright (c) 2009-2012, German National Library / Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

package de.dnb.oai.harvester.handler.export.impl;

import de.dnb.stm.handler.export.ExportHandler;
import de.dnb.stm.handler.export.ProcessorExportException;
import de.dnb.stm.processor.Processor;


/** ********************************************************************
 * Dummy Class doing nothing but checking if
 * all records <> NULL and counts them.
 * Just to test quickly if other parts of the OAI PMH Harvester Manager
 * are functioning as planned.
 * 
 ******************************************************************** */
 
 /*
  * CHANGELOG:
  *
  * Created on 03.02.2009 by  Kadir Karaca Kocer, German National Library
  */

public class DummyExport implements ExportHandler
{	
	private String name;	
	private long id;
    /**
     * @see de.dnb.stm.handler.export.ExportHandler
     * @since 20090203
     * @author Kadir Karaca Kocer, German National Library
     */
    @Override
	public boolean save(Processor processor, Object item, String transactionId) throws ProcessorExportException {
    	if (processor == null) throw new ProcessorExportException("ERROR: DummyExport:  harvester can not be NULL.");
    	if (item == null) throw new ProcessorExportException("ERROR: DummyExport:  records can not be NULL.");
    	return true;
    }
   

	/**
	 * @return Returns the name.
	 * @author Kadir Karaca Kocer, German National Library
	 */
	@Override
	public String getName() {
		return this.name;
	}

	/**
	 * @param newName The name to set.
	 * @author Kadir Karaca Kocer, German National Library
	 */
	@Override
	public void setName(String newName) {
		this.name = newName;
	}

	/**
	 * @return Returns the id.
	 * @author Kadir Karaca Kocer, German National Library
	 */
	@Override
	public long getId() {
		return this.id;
	}

	/**
	 * @param newId The id to set.
	 * @author Kadir Karaca Kocer, German National Library
	 */
	@Override
	public void setId(long newId) {
		this.id = newId;
	}

}
