/**********************************************************************
 * Interface OaiHarvesterManager
 *  
 * Copyright (c) 2011-2012, German National Library / Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

package de.dnb.oai.harvester.manager;

import java.util.List;

import de.dnb.oai.repository.Repository;
import de.dnb.oai.repository.RepositoryDao;
import de.dnb.stm.manager.ScheduledManager;

/**
 * Interface for OaiHarvesterManager
 * @author Kadir Karaca Kocer -- German National Library
 */
public interface OaiHarvesterManager extends ScheduledManager
{
	/**
	 * @return RepositoryDao
	 */
	public RepositoryDao getRepositoryDao();

	/**
	 * @param repositoryDao Repository DAO to set.
	 */
	public void setRepositoryDao(RepositoryDao repositoryDao);
	
	/**
	 * @param rep Repository to add.
	 * @throws InstantiationException
	 * @throws IllegalAccessException
	 */
	public void addRepository(Repository rep) throws InstantiationException, IllegalAccessException;
	
	/**
	 * @return List of all registered repositories.
	 */
	public List<Repository> getRepositoryList();

	/**
	 * @param id Unique id of the repository.
	 * @return Repository with the given unique id.
	 */
	public Repository getRepositoryById(Long id);	
}
