/**********************************************************************
 * Class HibernateOaiTaskStopRequestDao
 *  
 * Copyright (c) 2008-2012, German National Library / Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

package de.dnb.oai.harvester.task;

import java.util.Collections;
import java.util.List;

import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import de.dnb.stm.task.TaskStopRequest;
import de.dnb.stm.task.TaskStopRequestDao;

/**
 * 
 * @author Matthias Neubauer
 */
public class HibernateOaiTaskStopRequestDao extends HibernateDaoSupport implements TaskStopRequestDao
{

	@Override
	public void deleteTaskStopRequest(TaskStopRequest taskStopRequest) {
		getHibernateTemplate().delete(taskStopRequest);
	}

	@Override
    @SuppressWarnings({ "unchecked" })
	public List<TaskStopRequest> findTaskStopRequestsByTaskId(Long taskId) {
		List <TaskStopRequest> tl = getHibernateTemplate().find("from OaiTaskStopRequest as taskStopRequest where taskStopRequest.taskId=?", taskId);
		if(tl == null){
			return Collections.emptyList();
		}
		
		return tl;
	}

	@Override
	public TaskStopRequest getTaskStopRequest(Long taskStopRequestId) {
		return getHibernateTemplate().get(TaskStopRequest.class, taskStopRequestId);
	}

	@Override
    @SuppressWarnings({"unchecked" })
	public List<TaskStopRequest> getTaskStopRequestList() {
		List <TaskStopRequest> tl = getHibernateTemplate().find("from OaiTaskStopRequest as taskStopRequest");
		if(tl == null){
			return Collections.emptyList();
		}
		
		return tl;
	}

	@Override
	public void saveTaskStopRequest(TaskStopRequest taskStopRequest) {
		getHibernateTemplate().save(taskStopRequest);		
	}

}
