/**********************************************************************
 * Interface OaiTaskDao
 *  
 * Copyright (c) 2008-2012, German National Library / Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/


package de.dnb.oai.harvester.task;

import de.dnb.stm.task.Task;
import de.dnb.stm.task.TaskDao;

/**
 * 
 * @author Kadir Karaca Kocer -- German National Library
 */
public interface OaiTaskDao extends TaskDao
{
    /**
     * Removes an old request from ProcessedRequests list.
     * 
     * @param task The task this request belongs to.
     * @param RequestId Unique ID of the old request.
     * @return Status code. 0 for success, an int for error code otherwise.
     * @author Kadir Karaca Kocer, German National Library
     */
    public int deleteOldRequest(Task task, long RequestId);
    
    /**
     * Return the next request for a given task. NULL if the task will not repeat.
     * 
     * @param task The task this request belongs to.
     * @return A new Request object for the next OAI-PMH request.
     * @author Kadir Karaca Kocer, German National Library
     */
    public Request getNextRequest(Task task);
}
