/**********************************************************************
 * Class OaiTaskStopRequest
 *  
 * Copyright (c) 2012, German National Library / Deutsche Nationalbibliothek
 * Adickesallee 1, D-60322 Frankfurt am Main, Federal Republic of Germany 
 *
 * This program is free software.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Kadir Karaca Kocer -- German National Library
 * 
 **********************************************************************/

package de.dnb.oai.harvester.task;

import de.dnb.stm.task.TaskStopRequest;

/** ********************************************************************
 * Class representing a defined CancellationRequest.
 *
 * @author Matthias Neubauer, German National Library
 * @version 20120316
 * @since  20120316
 **********************************************************************/

/* ********************************************************************
 * CHANGELOG:
 *   
 * Created on 16.03.2012 by Matthias Neubauer, German National Library
 *********************************************************************/
public class OaiTaskStopRequest implements TaskStopRequest
{
    private long taskStopRequestId = 0;
    private long taskId = 0;
    
	@Override
    public long getTaskStopRequestId() {
		return this.taskStopRequestId;
	}
	
	/**
	 * @param taskStopRequestId Id to set.
	 */
	public void setTaskStopRequestId(long taskStopRequestId) {
		this.taskStopRequestId = taskStopRequestId;
	}
	
	@Override
    public long getTaskId() {
		return this.taskId;
	}
	
	@Override
    public void setTaskId(long taskId) {
		this.taskId = taskId;
	}
}
